=== debian/changelog ===
ros-indigo-mavros (0.17.5-0trusty) trusty; urgency=high

  * Pthread fix for OSX (#650 <https://github.com/mavlink/mavros/issues/650>)
    * fix pthread and missing defines for osx
    * adapted their style using tabs
    * fix elif to else
  * Fixing a typo in HIL_CONTROLS plugin
  * Contributors: Fadri Furrer, Pavel

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 07 Feb 2017 00:00:00 -0000

ros-indigo-mavros (0.17.4-0trusty) trusty; urgency=high

  * Ran uncrustify on hil_controls plugin
  * Utilizing synchronise_stamp and adding reference to MAVLINK msg documentation
  * Added a plugin that publishes HIL_CONTROLS as ROS messages
  * Revert "readme: update CI, no more MAVLINK_DIALECT"
    This reverts commit 1510deb2c5db12441cf9e44175fdb8a8889a8af6.
  * readme: update CI, no more MAVLINK_DIALECT
  * Contributors: Pavel, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Jun 2016 00:00:00 -0000

ros-indigo-mavros (0.17.3-0trusty) trusty; urgency=high

  * libmavconn #543 <https://github.com/mavlink/mavros/issues/543>: support build with mavlink 2.0 capable mavgen
  * node: Remove warning about MAVLINK_VERSION redefine
  * Fix bug with orientation in setpoint_raw plugin
    Fixes a bug where the ned_desired_orientation was not actually passed into set_attitude_target. Instead, the desired_orientation (wrong frame) was passed.
  * Contributors: Justin Thomas, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-indigo-mavros (0.17.2-0trusty) trusty; urgency=high

  * Update README.md
  * Update README.md
    Updated / completed examples.
  * Update README.md
  * Fix for kinetic std::isnan.
  * Contributors: James Goppert, Lorenz Meier

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-indigo-mavros (0.17.1-0trusty) trusty; urgency=high

  * lib: Add QLAND mode of APM:Plane
    https://github.com/mavlink/mavlink/commit/a0ed95c3a7d97a8f8d86ce3f95c4bf269f439c46
  * Update contributing guide
    We forgot to mention uncrustify commit.
  * Treat submarine vehicles like copter vehicles
  * Contributors: Josh Villbrandt, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 28 Mar 2016 00:00:00 -0000

ros-indigo-mavros (0.17.0-0trusty) trusty; urgency=high

  * update README
  * rebased with master
  * Fixed ROS_BREAK
  * Updates for ROS_BREAK and code style
  * Nitpicks and uncrustify
  * Updated frame transformations and added odom publisher to local position plugin
  * Contributors: Eddy, Vladimir Ermakov, francois

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 09 Feb 2016 00:00:00 -0000

ros-indigo-mavros (0.16.6-0trusty) trusty; urgency=high

  * node fix #494 <https://github.com/mavlink/mavros/issues/494>: Report FCU firmware type in rosonsole log
  * scripts fix #478 <https://github.com/mavlink/mavros/issues/478>: Remove guided_enable garbage.
    I'm missed this when do #407 <https://github.com/mavlink/mavros/issues/407>.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-indigo-mavros (0.16.5-0trusty) trusty; urgency=high

  * scripts: mavwp #465 <https://github.com/mavlink/mavros/issues/465>: Remove WaypointGOTO from scrips and python library
  * node: Report mavlink package version
  * lib: Add APM:Plane QuadPlane modes.
    Sync with: https://github.com/mavlink/mavlink/commit/1fc4aef08a54130f297943c246f95b8c7e37b1bf
  * readme: pixhawk dialect removed.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Jan 2016 00:00:00 -0000

ros-indigo-mavros (0.16.4-0trusty) trusty; urgency=high

  * scripts: checkid: be always verbose, add --follow
  * scripts: fix copyright indent
  * scripts: mavcmd: Fix bug: param7 not passed to service call!
  * scripts #382 <https://github.com/mavlink/mavros/issues/382>: Add ID checker script.
    It is not complete, but i hope it helps in current state.
  * scripts: mavcmd: Add support for broadcast requests
  * event_launcher: fix bug: Trigger service server is not saved in Launcher
    Also fixes: environment variables may contain ~ (user dir) in expansion.
  * using timestamp from mavlink message
  * Update mavlink message documentation links
  * lib: update MAV_TYPE stringify
  * lib: Add RATTITUDE PX4 mode
  * remove "altitude_" prefix from members
  * updated copyright
  * implemented altitude plugin
  * Contributors: Andreas Antener, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-indigo-mavros (0.16.3-0trusty) trusty; urgency=high

  * use safe methods to get imu data in local_position plugin
  * Contributors: Andreas Antener

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Nov 2015 00:00:00 -0000

ros-indigo-mavros (0.16.2-0trusty) trusty; urgency=high

  * transform yaw and yaw rate from enu to ned
  * Contributors: Andreas Antener

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 17 Nov 2015 00:00:00 -0000

ros-indigo-mavros (0.16.1-0trusty) trusty; urgency=high

  * python: fix import error of goto service
  * don't warn anymore about px4 not supporting rc_io
  * Contributors: Andreas Antener, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 13 Nov 2015 00:00:00 -0000

ros-indigo-mavros (0.16.0-0trusty) trusty; urgency=high

  * lib: Update ArduCopter mode list
  * plugin: sys_status #423 <https://github.com/mavlink/mavros/issues/423>: set_mode set arming and HIL flags based on previous state
  * lib #423 <https://github.com/mavlink/mavros/issues/423>: Save base_mode in UAS.
  * Finalized local position topic names
  * readme: add link to catkin-tools docs
  * readme #409 <https://github.com/mavlink/mavros/issues/409>: merge mavlink and mavros installation instruction
  * Fixed redundant rotation of IMU data and redundant orientation data
  * plugin: setpoint_raw fix #418 <https://github.com/mavlink/mavros/issues/418>: add attitude raw setpoint

